import request from '@/utils/request'

/**
 * api根地址
 * @type {{"1": "华鑫", "2": "鸿海"}}
 */
const apiBaseConfig = {
  '1': "/artemis",
  '2': "/honghai/artemis"
};

// 查询视频地址
export function getPreviewURLs(query,type='1') {
  return request({
    url: apiBaseConfig[type] + '/getPreviewURLs',
    method: 'get',
    params: query
  })
}

// 云台控制
export function videoControlling(query,type='1') {
  return request({
    url: apiBaseConfig[type] + '/videoControlling',
    method: 'get',
    params: query
  })
}




